% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/url_helpers.R
\name{replace_urls_with_placeholders}
\alias{replace_urls_with_placeholders}
\title{Replace URLs in a sentence with placeholders}
\usage{
replace_urls_with_placeholders(sentence)
}
\arguments{
\item{sentence}{A character string potentially containing one or more URLs.}
}
\value{
A list with two elements:
\describe{
\item{text}{The input sentence with URLs replaced by placeholders.}
\item{urls}{A character vector of the extracted URLs.}
}
}
\description{
Detects and replaces protocol-style links (e.g., \verb{http://}, \verb{https://}, \verb{ftp://}) in a given sentence
with unique placeholders like \verb{__URL1__}, \verb{__URL2__}, etc. This is useful for preparing text for
translation or further processing while preserving original URLs.
}
